## dask-sphinx-theme 1.3.6

=== requirements.txt ===
sphinx_rtd_theme >= 0.5.2

## dask-sphinx-theme 1.1.0

=== debian/changelog ===
dask-sphinx-theme (1.1.0-1) unstable; urgency=low

  * Initial packaging (Closes: #915981)

 -- Diane Trout <diane@ghic.org>  Sat, 08 Dec 2018 21:32:54 -0800

=== debian/control ===
Source: dask-sphinx-theme
Maintainer: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx-rtd-theme
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/dask-sphinx-theme
Vcs-Git: https://salsa.debian.org/python-team/modules/dask-sphinx-theme.git
Homepage: https://github.com/dask/dask-sphinx-theme/

Package: python3-dask-sphinx-theme
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Dask theme for Sphinx
 This is the official Sphinx theme for Dask documentation.  It extends the
 sphinx_rtd_theme project, but adds custom styling and a navigation bar to
 additional Dask subprojects.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Sat, 08 Dec 2018 21:32:54 -0800
export PYBUILD_NAME=dask-sphinx-theme
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/dask_sphinx_theme/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/dask_sphinx_theme/dask_sphinx_theme-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## dask-sphinx-theme 1.3.1

=== debian/changelog ===
dask-sphinx-theme (1.3.1-2ubuntu1) groovy; urgency=medium

  * Remove the need for html5shiv, which was dropped from
    sphinx-rtd theme, to avoid a FTBFS in dask

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 19 Oct 2020 17:22:07 +0000

dask-sphinx-theme (1.3.1-2) unstable; urgency=medium

  * add skip-custom-js.patch (Closes: #954623) Upstream included a
    custom.js reference that they don't use but dh_sphinxdoc checks for
    and finds is missing.  So avoid the dh_sphinxdoc error by removing it
    from the template
  * remove executable flag from an embedded icon file.

 -- Diane Trout <diane@ghic.org>  Wed, 25 Mar 2020 21:54:14 -0700

dask-sphinx-theme (1.3.1-1) unstable; urgency=medium

  [ Diane Trout ]
  * d/watch: Use https protocol.
  * Fix debian/watch url
  * New upstream release

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Diane Trout <diane@ghic.org>  Tue, 03 Mar 2020 21:09:13 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: dask-sphinx-theme
-Maintainer: Diane Trout <diane@ghic.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
                python3-all,
                python3-setuptools,

## dask-sphinx-theme 1.3.6

=== debian/changelog ===
dask-sphinx-theme (1.3.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Diane Trout ]
  * Update to debhelper-compat 13.
  * Add node-html5shiv to build dependencies
  * Update Standards-Version to 4.6.0. No changes needed
  * New upstream version
  * Refresh patches

 -- Diane Trout <diane@ghic.org>  Sat, 18 Sep 2021 16:05:08 -0700

=== debian/control ===
Source: dask-sphinx-theme
Maintainer: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               node-html5shiv,
               python3-all,
               python3-setuptools,
               python3-sphinx-rtd-theme
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/dask-sphinx-theme
Vcs-Git: https://salsa.debian.org/python-team/packages/dask-sphinx-theme.git
Homepage: https://github.com/dask/dask-sphinx-theme/

Package: python3-dask-sphinx-theme
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Dask theme for Sphinx
 This is the official Sphinx theme for Dask documentation.  It extends the
 sphinx_rtd_theme project, but adds custom styling and a navigation bar to
 additional Dask subprojects.

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_fixperms:
+	dh_fixperms
+	chmod a-x debian/python3-dask-sphinx-theme/usr/lib/python3/dist-packages/dask_sphinx_theme/static/images/favicon.ico

## dask-sphinx-theme 3.0.3

=== debian/changelog ===
dask-sphinx-theme (3.0.3-1) unstable; urgency=medium

  [ Debian Janitor]
  * Update standards version to 4.6.2, no changes needed.

  [ Diane Trout ]
  * New upstream release.
  * Provide local copies of fonts instead of depending on a CDN

 -- Diane Trout <diane@ghic.org>  Wed, 11 Jan 2023 21:43:21 -0800

dask-sphinx-theme (2.0.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name, Repository,
    Repository-Browse.

  [ Diane Trout ]
  * New upstream release
  * Remove skip-custom-js.patch, no longer needed.

 -- Diane Trout <diane@ghic.org>  Fri, 11 Mar 2022 19:10:23 -0800

## dask-sphinx-theme 3.0.5

=== requirements.txt ===
sphinx-book-theme==0.2.0
jsonschema

=== debian/changelog ===
dask-sphinx-theme (3.0.5-3) unstable; urgency=medium

  * Team upload.
  * This is team managed on DPT Salsa, sync Maintainer tag
  * Trim d/rules with new shorter syntax

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 Oct 2025 11:13:32 +0100

dask-sphinx-theme (3.0.5-2) unstable; urgency=medium

  * Add disable-google-tag-manager.patch Prevents google tag manager from
    being included in documentation built from this theme.

 -- Diane Trout <diane@ghic.org>  Sat, 26 Aug 2023 14:44:45 -0700

dask-sphinx-theme (3.0.5-1) unstable; urgency=medium

  [ Diane Trout ]
  * New upstream release

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

 -- Diane Trout <diane@ghic.org>  Thu, 10 Aug 2023 10:39:00 -0700

=== debian/control ===
Source: dask-sphinx-theme
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Diane Trout <diane@ghic.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 fonts-inconsolata,
 fonts-inter,
 node-html5shiv,
 python3-all,
 python3-setuptools,
 python3-sphinx-rtd-theme,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/dask-sphinx-theme
Vcs-Git: https://salsa.debian.org/python-team/packages/dask-sphinx-theme.git
Homepage: https://github.com/dask/dask-sphinx-theme/

Package: python3-dask-sphinx-theme
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Dask theme for Sphinx
 This is the official Sphinx theme for Dask documentation.  It extends the
 sphinx_rtd_theme project, but adds custom styling and a navigation bar to
 additional Dask subprojects.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dask-sphinx-theme

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_fixperms:
	chmod a-x debian/python3-dask-sphinx-theme/usr/lib/python3/dist-packages/dask_sphinx_theme/static/images/favicon.ico

execute_before_dh_auto_install:
	mkdir -p debian/python3-dask-sphinx-theme/usr/lib/python3/dist-packages/dask_sphinx_theme/static/fonts

=== debian/watch ===
# please also check https://pypi.debian.net/dask_sphinx_theme/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/dask-sphinx-theme/dask_sphinx_theme-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## dask-sphinx-theme 4.0.0

=== docs/requirements.txt ===
sphinx-click
sphinx-copybutton
sphinx-remove-toctrees
sphinx_autosummary_accessors
sphinx-tabs
sphinx-design

=== debian/changelog ===
dask-sphinx-theme (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add pybuild-plugin-pyproject, python3-hatchling to Build-Dependency
    change python3-sphinx-rtd-theme to python3-sphinx-book-theme
    remove python3-setuptools
  * Add disable-hatch-vcs.patch to not try to generate version from
    the nonexistant git repository

 -- Diane Trout <diane@ghic.org>  Thu, 22 Jan 2026 19:50:58 -0800

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  fonts-inconsolata,
  fonts-inter,
  node-html5shiv,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
- python3-sphinx-rtd-theme,
+ python3-hatchling,
+ python3-sphinx-book-theme,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dask-sphinx-theme
 Vcs-Git: https://salsa.debian.org/python-team/packages/dask-sphinx-theme.git
